NX Open C++ Reference Guide
|
This class is worked as a packet of information that can be used to set the clipping parameters of a CAE::Post object. More...
Public Member Functions | |
double | GetClipValue () |
Ask clip value. | |
NXOpen::CAE::Result::CoordinateSystem | GetCoordinateSystem () |
Ask coordinate system. | |
NXOpen::CAE::Post::ClipPlane | GetPlane () |
Ask plane. | |
void | GetSelectedCoordinateSystem (NXOpen::CAE::Result::CoordinateSystemSource *source, int *id) |
Ask selected coordinate system Created in NX7.5.1. | |
bool | GetShowClippedGhost () |
Ask show clipped ghost. | |
bool | GetShowOutline () |
Ask show outline. | |
NXOpen::CAE::Post::ClipSide | GetSide () |
Ask side. | |
void | SetClipValue (double clipValue) |
Set clip value Created in NX7.5.1. | |
void | SetCoordinateSystem (NXOpen::CAE::Result::CoordinateSystem coordinateSystem) |
Set coordinate system Created in NX7.5.1. | |
void | SetPlane (NXOpen::CAE::Post::ClipPlane plane) |
Set plane Created in NX7.5.1. | |
void | SetSelectedCoordinateSystem (NXOpen::CAE::Result::CoordinateSystemSource source, int id) |
Set selected coordinate system Created in NX7.5.1. | |
void | SetShowClippedGhost (bool showClippedGhost) |
Set show clipped ghost Created in NX7.5.1. | |
void | SetShowOutline (bool showOutline) |
Set show outline Created in NX7.5.1. | |
void | SetSide (NXOpen::CAE::Post::ClipSide side) |
Set side Created in NX7.5.1. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class is worked as a packet of information that can be used to set the clipping parameters of a CAE::Post object.
<br/>Use @link CAE::ResultManager CAE::ResultManager@endlink to create an @link CAE::ResultParameters CAE::ResultParameters@endlink <br/>You can modifiy these values but validation of correctness will only be perfomed when this object is set to a @link CAE::Post CAE::Post@endlink object <br> To obtain an instance of this class use @link Session::ResultManager Session::ResultManager@endlink . <br>
Created in NX7.5.1.
double NXOpen::CAE::ClippingParameters::GetClipValue | ( | ) |
Ask clip value.
NXOpen::CAE::Result::CoordinateSystem NXOpen::CAE::ClippingParameters::GetCoordinateSystem | ( | ) |
Ask coordinate system.
NXOpen::CAE::Post::ClipPlane NXOpen::CAE::ClippingParameters::GetPlane | ( | ) |
Ask plane.
void NXOpen::CAE::ClippingParameters::GetSelectedCoordinateSystem | ( | NXOpen::CAE::Result::CoordinateSystemSource * | source, |
int * | id | ||
) |
Ask selected coordinate system
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
source | source |
id | id |
bool NXOpen::CAE::ClippingParameters::GetShowClippedGhost | ( | ) |
Ask show clipped ghost.
bool NXOpen::CAE::ClippingParameters::GetShowOutline | ( | ) |
Ask show outline.
NXOpen::CAE::Post::ClipSide NXOpen::CAE::ClippingParameters::GetSide | ( | ) |
Ask side.
void NXOpen::CAE::ClippingParameters::SetClipValue | ( | double | clipValue | ) |
Set clip value
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
clipValue | clipvalue |
void NXOpen::CAE::ClippingParameters::SetCoordinateSystem | ( | NXOpen::CAE::Result::CoordinateSystem | coordinateSystem | ) |
Set coordinate system
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
coordinateSystem | coordinatesystem |
void NXOpen::CAE::ClippingParameters::SetPlane | ( | NXOpen::CAE::Post::ClipPlane | plane | ) |
Set plane
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
plane | plane |
void NXOpen::CAE::ClippingParameters::SetSelectedCoordinateSystem | ( | NXOpen::CAE::Result::CoordinateSystemSource | source, |
int | id | ||
) |
Set selected coordinate system
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
source | source |
id | id |
void NXOpen::CAE::ClippingParameters::SetShowClippedGhost | ( | bool | showClippedGhost | ) |
Set show clipped ghost
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
showClippedGhost | showclippedghost |
void NXOpen::CAE::ClippingParameters::SetShowOutline | ( | bool | showOutline | ) |
Set show outline
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
showOutline | showoutline |
void NXOpen::CAE::ClippingParameters::SetSide | ( | NXOpen::CAE::Post::ClipSide | side | ) |
Set side
Created in NX7.5.1.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
side | side |